%define module_name Text-Prefix
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Valet.pm) perl(JSON/PP.pm) perl(Sys/Hostname.pm) perl(Test/Differences.pm) perl(Test/Most.pm) perl(Time/HiRes.pm) perl(Time/TAI/Simple.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.01
Release: alt1
Summary: Read from stdin and write to stdout with additional useful information prefixed to each line.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TT/TTKCIAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Text::Prefix contains the logic implementing the prefix(1) utility (included in this package).  It takes arbitrary strings as 
input and produces output with various contextually-relevant information preceding the string.  A variety of output formats are also 
supported, as well as output field reordering.

This is handy, for instance, when tailing a logfile which does not contain timestamps.  prefix adds a timestamp prefix to each 
line it is given.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/T*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Thu Aug 17 2017 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- regenerated from template by package builder

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1
- initial import by package builder

